package es.uv.garcosda.domain;

import java.io.Serializable;
import java.time.LocalDate;

public class Notification implements Serializable {

	private static final long serialVersionUID = 1L;
	private String content;
	private boolean fraud;
	private LocalDate date;
	private Document document;
	
	public Notification() {}
	
	public Notification(String content, boolean fraud, LocalDate date, Document document) {
		this.content = content;
		this.fraud = fraud;
		this.date = date;
		this.document = document;
	}

	public String getContent() {
		return content;
	}
	
	public void setContent(String content) {
		this.content = content;
	}
	
	public boolean getFraud() {
		return fraud;
	}
	
	public void setFraud(boolean fraud) {
		this.fraud = fraud;
	}
	
	public LocalDate getDate() {
		return date;
	}
	
	public void setDate(LocalDate date) {
		this.date = date;
	}

	public Document getDocument() {
		return document;
	}

	public void setDocument(Document document) {
		this.document = document;
	}
	
}
